<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.13"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Ciao Code Documentation: sd_io_defs::bc_io_data_t Type Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Ciao Code Documentation
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.13 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespacesd__io__defs.html">sd_io_defs</a></li><li class="navelem"><a class="el" href="structsd__io__defs_1_1bc__io__data__t.html">bc_io_data_t</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-attribs">Public Attributes</a> &#124;
<a href="structsd__io__defs_1_1bc__io__data__t-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">sd_io_defs::bc_io_data_t Type Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div id="dynsection-0" onclick="return toggleVisibility(this)" class="dynheader closed" style="cursor:pointer;">
  <img id="dynsection-0-trigger" src="closed.png" alt="+"/> Collaboration diagram for sd_io_defs::bc_io_data_t:</div>
<div id="dynsection-0-summary" class="dynsummary" style="display:block;">
</div>
<div id="dynsection-0-content" class="dyncontent" style="display:none;">
<div class="center"><img src="structsd__io__defs_1_1bc__io__data__t__coll__graph.png" border="0" usemap="#sd__io__defs_1_1bc__io__data__t_coll__map" alt="Collaboration graph"/></div>
<map name="sd__io__defs_1_1bc__io__data__t_coll__map" id="sd__io__defs_1_1bc__io__data__t_coll__map">
<area shape="rect" id="node2" href="structijk__list__m_1_1ijk__t.html" title="{ijk_list_m::ijk_t\n|+ i\l+ j\l+ k\l|}" alt="" coords="34,5,143,112"/>
</map>
</div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-attribs"></a>
Public Attributes</h2></td></tr>
<tr class="memitem:a9475e5231ab3305eb851f2cf3346865a"><td class="memItemLeft" align="right" valign="top">character(len=64)&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structsd__io__defs_1_1bc__io__data__t.html#a9475e5231ab3305eb851f2cf3346865a">name</a> = ' '</td></tr>
<tr class="separator:a9475e5231ab3305eb851f2cf3346865a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8861b81dbef4d4c4c48480e0a3b217ec"><td class="memItemLeft" align="right" valign="top">character(len=64)&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structsd__io__defs_1_1bc__io__data__t.html#a8861b81dbef4d4c4c48480e0a3b217ec">sd_name</a> = ' '</td></tr>
<tr class="separator:a8861b81dbef4d4c4c48480e0a3b217ec"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a930befeb38c9f1922e6731040bf88b06"><td class="memItemLeft" align="right" valign="top">character(len=64)&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structsd__io__defs_1_1bc__io__data__t.html#a930befeb38c9f1922e6731040bf88b06">boundary_name</a> = ' '</td></tr>
<tr class="separator:a930befeb38c9f1922e6731040bf88b06"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:afdb8e19464f3d8200fe76987d8f96ab6"><td class="memItemLeft" align="right" valign="top">integer(8), dimension(1)&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structsd__io__defs_1_1bc__io__data__t.html#afdb8e19464f3d8200fe76987d8f96ab6">my_count</a></td></tr>
<tr class="separator:afdb8e19464f3d8200fe76987d8f96ab6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aba96c4571315b77c9ae2b3ea8882147c"><td class="memItemLeft" align="right" valign="top">integer(8), dimension(1)&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structsd__io__defs_1_1bc__io__data__t.html#aba96c4571315b77c9ae2b3ea8882147c">my_disp</a></td></tr>
<tr class="separator:aba96c4571315b77c9ae2b3ea8882147c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3f63a2786486752e25db84faa2dc1326"><td class="memItemLeft" align="right" valign="top">integer(8)&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structsd__io__defs_1_1bc__io__data__t.html#a3f63a2786486752e25db84faa2dc1326">sum_count</a></td></tr>
<tr class="separator:a3f63a2786486752e25db84faa2dc1326"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae08486988357f9ec88744cf4b132d109"><td class="memItemLeft" align="right" valign="top">integer&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structsd__io__defs_1_1bc__io__data__t.html#ae08486988357f9ec88744cf4b132d109">i1_type</a></td></tr>
<tr class="separator:ae08486988357f9ec88744cf4b132d109"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a951b0c0a6a9f4dd310655058d49ed930"><td class="memItemLeft" align="right" valign="top">integer&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structsd__io__defs_1_1bc__io__data__t.html#a951b0c0a6a9f4dd310655058d49ed930">r1_type</a></td></tr>
<tr class="separator:a951b0c0a6a9f4dd310655058d49ed930"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a50c9415682eb5ddc0e4793feda95c30a"><td class="memItemLeft" align="right" valign="top">logical&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structsd__io__defs_1_1bc__io__data__t.html#a50c9415682eb5ddc0e4793feda95c30a">defined_i1</a> = .FALSE.</td></tr>
<tr class="separator:a50c9415682eb5ddc0e4793feda95c30a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae2058232b6a7cda144e68a5884728c02"><td class="memItemLeft" align="right" valign="top">logical&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structsd__io__defs_1_1bc__io__data__t.html#ae2058232b6a7cda144e68a5884728c02">defined_r1</a> = .FALSE.</td></tr>
<tr class="separator:ae2058232b6a7cda144e68a5884728c02"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0d9dd275023b4654a1191b3a3ed42cfa"><td class="memItemLeft" align="right" valign="top">type(<a class="el" href="structijk__list__m_1_1ijk__t.html">ijk_t</a>), pointer&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structsd__io__defs_1_1bc__io__data__t.html#a0d9dd275023b4654a1191b3a3ed42cfa">first_index_conv</a> =&gt; null()</td></tr>
<tr class="separator:a0d9dd275023b4654a1191b3a3ed42cfa"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae7ab59818219a7a2daff30542b4ccdc7"><td class="memItemLeft" align="right" valign="top">type(<a class="el" href="structsd__io__defs_1_1bc__io__data__t.html">bc_io_data_t</a>), pointer&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structsd__io__defs_1_1bc__io__data__t.html#ae7ab59818219a7a2daff30542b4ccdc7">next</a> =&gt; null()</td></tr>
<tr class="separator:ae7ab59818219a7a2daff30542b4ccdc7"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Member Data Documentation</h2>
<a id="a930befeb38c9f1922e6731040bf88b06"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a930befeb38c9f1922e6731040bf88b06">&#9670;&nbsp;</a></span>boundary_name</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">character(len=64) sd_io_defs::bc_io_data_t::boundary_name = ' '</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a50c9415682eb5ddc0e4793feda95c30a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a50c9415682eb5ddc0e4793feda95c30a">&#9670;&nbsp;</a></span>defined_i1</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">logical sd_io_defs::bc_io_data_t::defined_i1 = .FALSE.</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="ae2058232b6a7cda144e68a5884728c02"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae2058232b6a7cda144e68a5884728c02">&#9670;&nbsp;</a></span>defined_r1</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">logical sd_io_defs::bc_io_data_t::defined_r1 = .FALSE.</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a0d9dd275023b4654a1191b3a3ed42cfa"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a0d9dd275023b4654a1191b3a3ed42cfa">&#9670;&nbsp;</a></span>first_index_conv</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">type(<a class="el" href="structijk__list__m_1_1ijk__t.html">ijk_t</a>), pointer sd_io_defs::bc_io_data_t::first_index_conv =&gt; null()</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="ae08486988357f9ec88744cf4b132d109"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae08486988357f9ec88744cf4b132d109">&#9670;&nbsp;</a></span>i1_type</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">integer sd_io_defs::bc_io_data_t::i1_type</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="afdb8e19464f3d8200fe76987d8f96ab6"></a>
<h2 class="memtitle"><span class="permalink"><a href="#afdb8e19464f3d8200fe76987d8f96ab6">&#9670;&nbsp;</a></span>my_count</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">integer(8), dimension(1) sd_io_defs::bc_io_data_t::my_count</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="aba96c4571315b77c9ae2b3ea8882147c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aba96c4571315b77c9ae2b3ea8882147c">&#9670;&nbsp;</a></span>my_disp</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">integer(8), dimension(1) sd_io_defs::bc_io_data_t::my_disp</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a9475e5231ab3305eb851f2cf3346865a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a9475e5231ab3305eb851f2cf3346865a">&#9670;&nbsp;</a></span>name</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">character(len=64) sd_io_defs::bc_io_data_t::name = ' '</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="ae7ab59818219a7a2daff30542b4ccdc7"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae7ab59818219a7a2daff30542b4ccdc7">&#9670;&nbsp;</a></span>next</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">type(<a class="el" href="structsd__io__defs_1_1bc__io__data__t.html">bc_io_data_t</a>), pointer sd_io_defs::bc_io_data_t::next =&gt; null()</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a951b0c0a6a9f4dd310655058d49ed930"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a951b0c0a6a9f4dd310655058d49ed930">&#9670;&nbsp;</a></span>r1_type</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">integer sd_io_defs::bc_io_data_t::r1_type</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a8861b81dbef4d4c4c48480e0a3b217ec"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a8861b81dbef4d4c4c48480e0a3b217ec">&#9670;&nbsp;</a></span>sd_name</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">character(len=64) sd_io_defs::bc_io_data_t::sd_name = ' '</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a3f63a2786486752e25db84faa2dc1326"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a3f63a2786486752e25db84faa2dc1326">&#9670;&nbsp;</a></span>sum_count</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">integer(8) sd_io_defs::bc_io_data_t::sum_count</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<hr/>The documentation for this type was generated from the following file:<ul>
<li><a class="el" href="sd__io__tools_8f90.html">sd_io_tools.f90</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Fri Aug 7 2020 16:17:52 for Ciao Code Documentation by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.13
</small></address>
</body>
</html>
